> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Schedules



## OpenAPI

````yaml get /workspace/sessions/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/sessions/{workspaceId}:
    get:
      tags:
        - Workspace
      summary: Retrieve all schedules for a workspace
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  schedules:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        name:
                          type: string
                        external_description:
                          type: string
                        public_start_offset:
                          type: number
                        public_slock_offset:
                          type: number
                        series_start_date:
                          type: string
                          format: date-time
                        game_link:
                          type: string
                        publish_to_discord:
                          type: boolean
                        roles:
                          type: array
                          items:
                            type: string
                        disable_cohost:
                          type: boolean
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        reoccurring:
                          type: boolean
                        cron_expression:
                          type: string
                        allow_adhoc:
                          type: boolean
                      required:
                        - _id
                        - name
                        - external_description
                        - public_start_offset
                        - public_slock_offset
                        - series_start_date
                        - game_link
                        - publish_to_discord
                        - roles
                        - reoccurring
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        name:
                          type: string
                        roles:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              name:
                                type: string
                            required:
                              - _id
                              - name
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - _id
                        - name
                        - roles
                        - createdAt
                        - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````